% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%
% Acpi mode selection dialog.
%
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Some global vars.
%
/acpi.default 0 def

/acpi.options [
  ""
  "acpi=off"
] def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Build acpi list.
%
% ( ) ==> ( )
%
/acpi.init {
  /xmenu.acpi .xm_size array def

  /xmenu xmenu.acpi def

  xmenu .xm_current acpi.default put
  xmenu .xm_list [ txt_acpi_on txt_acpi_off ] put

  pmenu.init
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Update acpi mode.
%
% ( ) ==> ( )
%
/acpi.update {
  /xmenu xmenu.acpi def

  /window.action actRedrawPanel def

  pmenu.update
  bootoptions.init
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Show acpi menu.
%
% ( ) => ( )
%
/panel.acpi {
  "o_acpi" help.setcontext

  window.xmenu
  dup .xmenu xmenu.acpi put
  dup .xmenu.update /acpi.update put
  dup window.init
      window.show
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Return width of panel entry.
%
% ( ) => ( width )
%
/panel.acpi.width {
  /xmenu xmenu.acpi def

  pmenu.width
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Redraw panel entry.
%
% ( panel ) => ( )
%
/panel.acpi.update {
  /xmenu xmenu.acpi def

  pmenu.panel.update
} def


